fv::GenFunction Class Reference

Parent class to all Function classes. More...

`#include <value.hpp>`

Inheritance diagram for fv::GenFunction:
[legend]

## Public Member Functions

| GenFunction (const std::string &name, const std::string &impl)
std::string & | get_name ()
std::string & | get_impl ()

## Static Public Member Functions

static std::string | format_code (const std::string &code)
| Attempt to invoke clang-format for the purpose of printing out nicely formatted functions to the log file. More...
static std::string | summary ()
template<typename T >
static Function< T > & | register_function (const std::string &name, std::function< T > f, const std::string &impl)
template<typename T >
static Function< T > & | lookup_function (const std::string &name)

## Static Public Attributes

static std::map< const std::string, GenFunction * > | function_registry
| Static mapping of functions from their name to the object wrapper of the function.

## Static Protected Attributes

static bool | in_register_function =false

## Private Attributes

std::string | name
std::string | impl

## Detailed Description

Parent class to all Function classes.

Holds a class-level collection of all created function objects.

Definition at line 139 of file value.hpp.

## Member Function Documentation

## format_code()

static std::string fv::GenFunction::format_code | ( | const std::string & | code | ) |

inlinestatic

Attempt to invoke clang-format for the purpose of printing out nicely formatted functions to the log file.

If clang-format is not present, this function just passes through the code unmodified.

Definition at line 172 of file value.hpp.

The documentation for this class was generated from the following file:

- /home/caleb/Sources/TTTT/filval/value.hpp